.grid-container {
  max-width: calc(100% - 4em);
  margin: 0 auto;
}

 .cards {
  margin: 0 auto;
  max-width: 100%;
}



.small {
  width :25%;
}
.wide {
  width: 50%;
}

.long {
  height: 200%;
}

.big {
  height: 200%;
  width: 50%;
}

.card {
  width: 25%;
  height: 300px;
  float: left;
  margin: 0;
  direction:ltr;
}


  .grid-area {
    display: grid;
    row-gap: 2em;
    column-gap: 2em;
    grid-auto-rows: 250px;
    grid-auto-columns: min-content;
    overflow: hidden;
    justify-content: center;
    grid-auto-flow: dense;
    grid-template-columns: repeat(auto-fit, minmax(300px,1fr));
    align-items: stretch;
  }
   .card {
    width: 100%;
    height: 100%;
    float: none;
  }
  .wide {
    grid-column-end: span 2;
  }
  .long {
    grid-row-end: span 2;
  }
  .small {
    grid-column-end: span 1;
    grid-row-end: span 1;
  }
  .big {
    grid-column-end: span 2;
    grid-row-end: span 2;
  }


  @media (min-width:601px) 
  {
    .grid-area {
      grid-template-columns: repeat(auto-fit, minmax(300px,1fr));
    }
  }

@media (max-width: 600px) {
  .grid-area {
    grid-template-columns: 100%;
  }
  .wide ,
  .long ,
  .small,
  .big {
    grid-column-end: span 1;
  }
   
}
